
user  nginx;
worker_processes  2;

pid        /var/run/nginx.pid;
error_log  /var/log/nginx/nginx.error.log warn;

events {
    worker_connections  1024;
}


http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;

    log_format  main escape=json ' \r\n-----------------------------------------\r\n '
                      ' REMOTE_ADDR : $remote_addr \r\n '
                      ' REMOTE_USER : $remote_user \r\n '
                      ' TIME_LOCAL : $time_local \r\n '
                      ' REQUEST : $request \r\n '
                      ' REQUEST_BODY : $request_body \r\n '
                      ' HTTP_HOST : $http_host \r\n '
                      ' UPSTREAM_STATUS : $upstream_status \r\n '
                      ' HTTP_REFERER : $http_referer \r\n '
                      ' HTTP_USER_AGENT : $http_user_agent \r\n '
                      ' UPSTREAM_RESPONSE_TIME : $upstream_response_time \r\n '
                      ' REQUEST_TIME : $request_time \r\n '
                      ' -----------------------------------------\r\n ';

    access_log /dev/null;
    #access_log  /var/log/dnmp/nginx.access.log  main;

    # hide verson string
    server_tokens  off;
    sendfile        on;
    #tcp_nopush     on;
    client_max_body_size 100M;

    keepalive_timeout  65;

    #gzip  on;

    include /etc/nginx/conf.d/*.conf;
}
